---
name: Bug report
about: Create a report to help us improve
title: ''
labels: 'Bug'
assignees: ''

---

**Describe the bug**

A clear and concise description of what the bug is.

**To Reproduce**

Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See the error

**Expected behavior**

Share a clear and concise description of what you expected to happen.

**Screenshots**

If applicable, add screenshots to help explain your problem.

**Browser logs**

Share the browser logs to debug the issue further.

**Server logs**

Share the server logs to debug the issue further.

**Environment**

Describe whether you are using Chatwoot Cloud (app.chatwoot.com) or a self-hosted installation of Chatwoot. If you are using a self-hosted installation of Chatwoot, describe the type of deployment (Docker/Linux VM installation/Heroku/Kubernetes/Other).

- [ ] app.chatwoot.com (Chatwoot Cloud)
- [ ] Self-hosted
- - [ ] Linux VM
- - [ ] Docker
- - [ ] Kubernetes
- - [ ] Heroku
- - [ ] Other (Please specify)


**Desktop (please complete the following information)** (If applicable)
 - OS: [e.g. Linux, Windows, MacOS]
 - Browser [e.g. chrome, firefox, safari]
 - Version [e.g. 22]

**Smartphone (please complete the following information)** (If applicable)
 - Device: [e.g. iPhone6, Pixel7]
 - OS: [e.g. iOS8.1]
 - Browser [e.g. stock browser, firefox, safari]
 - Version [e.g. 22]

**Docker** (If applicable)

Please share the output of the following.
- `docker version`
- `docker info`
- `docker-compose version`

**Cloud Provider** (If applicable)
- [ ] AWS
- [ ] GCP
- [ ] Azure
- [ ] DigitalOcean
- [ ] Others

**Additional context**

Add any other context about the problem here.
